CAD VBA를 이용해서 도면을 작도하고자 합니다.
Arraypolar를 쓰고싶은데, 객체 자체가 같이 돌아가더라구요ㅠㅠ
객체는 안돌아가게 하는 코드가 있을까요??
현재 사용코드
Dim PilenoOfObjects As Integer
Dim D1radius As Double
Dim centerPoint3(0 To 2) As Double
Dim PileplanblockRefObj As AcadBlockReference
Dim pileretObj1 As Variant
Dim PilenoD1 As Integer
Dim PileangleD1 As Double
D1radius = Cells(5, 210).Value / 2
centerPoint3(0) = Cells(5, 12).Value + Cos((90 – Cells(5, 212)) * 3.141592 / 180) * D1radius
centerPoint3(1) = Cells(5, 13).Value + Sin((90 – Cells(5, 212)) * 3.141592 / 180) * D1radius
centerPoint3(2) = 0
PilenoD1 = Cells(5, 211).Value + 1
If Cells(5, 206).Value = “O” Then
If Cells(5, 209).Value = “Square” Then
Set PileplanblockRefObj = ThisDrawing.ModelSpace.InsertBlock(centerPoint3, “Pile_Square”, Cells(5, 207).Value / 100, Cells(5, 207).Value / 100, 1, 0)
pileretObj1 = PileplanblockRefObj.ArrayPolar(PilenoD1, angleToFill, centerPoint)
pileretObj1(Cells(5, 211).Value – 1).Delete
PileplanblockRefObj.Layer = “Pile”
고우캐드사마Lv.0
CAD VBA에서 Arraypolar를 쓸때, 객체 자체는 회전이 안되는 방법이 있나요?
공유